#ifndef PROJECTPARAMMODEL_H
#define PROJECTPARAMMODEL_H

#include <QObject>
#include <QString>

class ProjectParamModel : public QObject
{
    Q_OBJECT
public:
    explicit ProjectParamModel(QObject *parent = nullptr);

    QString name() const;
    void setName(const QString &newName);

    QString value() const;
    void setValue(const QString &newValue);

signals:
    void nameChanged();
    void valueChanged();

private:
    QString m_name;
    QString m_value;
};

#endif // PROJECTPARAMMODEL_H
